<div class="row justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-imposto-heading" data-cy="ImpostoCreateUpdateHeading" jhiTranslate="madmApp.imposto.home.createOrEditLabel">
        Create or edit a Imposto
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="form-group" [hidden]="editForm.get('id')!.value == null">
          <label class="form-control-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.imposto.tipoImposto" for="field_tipoImposto">Tipo Imposto</label>
          <select class="form-control" name="tipoImposto" formControlName="tipoImposto" id="field_tipoImposto" data-cy="tipoImposto">
            <option [ngValue]="null">{{ 'madmApp.TipoImposto.null' | translate }}</option>
            <option *ngFor="let tipoImposto of tipoImpostoValues" [value]="tipoImposto">
              {{ 'madmApp.TipoImposto.' + tipoImposto | translate }}
            </option>
          </select>
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.imposto.valorDevido" for="field_valorDevido">Valor Devido</label>
          <input
            type="number"
            class="form-control"
            name="valorDevido"
            id="field_valorDevido"
            data-cy="valorDevido"
            formControlName="valorDevido"
          />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.imposto.dataVencimento" for="field_dataVencimento">Data Vencimento</label>
          <div class="input-group">
            <input
              id="field_dataVencimento"
              data-cy="dataVencimento"
              type="text"
              class="form-control"
              name="dataVencimento"
              ngbDatepicker
              #dataVencimentoDp="ngbDatepicker"
              formControlName="dataVencimento"
            />
            <span class="input-group-append">
              <button type="button" class="btn btn-secondary" (click)="dataVencimentoDp.toggle()">
                <fa-icon icon="calendar-alt"></fa-icon>
              </button>
            </span>
          </div>
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.imposto.imovel" for="field_imovel">Imovel</label>
          <select class="form-control" id="field_imovel" data-cy="imovel" name="imovel" formControlName="imovel">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="imovelOption.id === editForm.get('imovel')!.value?.id ? editForm.get('imovel')!.value : imovelOption"
              *ngFor="let imovelOption of imovelsSharedCollection; trackBy: trackImovelById"
            >
              {{ imovelOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
